﻿using C1.Win.FlexReport;
using C1.Win.Localization.Design;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexReport_FlexChart_Representation
{
    public partial class Form1 : Form
    {
        C1FlexReport report;
        public Form1()
        {
            InitializeComponent();
            //DataTable Initialization
            DataTable dataTable = new DataTable("Product");
            DataColumn Name = new DataColumn("Name", typeof(System.String));
            DataColumn Value = new DataColumn("Value", typeof(System.Int32));

            dataTable.Columns.AddRange(new DataColumn[] { Name, Value});
            dataTable.Rows.Add("Anzahi  Speditionen",43);
            dataTable.Rows.Add("Anzahi A-Speditionen", 28);
            dataTable.Rows.Add("Anzahi B-Speditionen", 15);

            report = new C1FlexReport();
            report.Load("../../SampleReport.flxr", "Chart");
            report.DataSource.Recordset = dataTable;
            flexViewer.DocumentSource = report;
        }
    }
}
